Bug 35771 - lua5.1: Buffer overflow (3.2)
lua5.1: Buffer overflow (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.2
Other Linux
: P3 normal (vote)
: UCS 3.2-3-errata
Assigned To: Philipp Hahn
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-02 10:01 CEST by Moritz Muehlenhoff
Modified: 2014-12-08 15:46 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-09-02 10:01:35 CEST
+++ This bug was initially created as a clone of Bug #35770 +++

CVE-2014-5461

A buffer overflow in Lua's function parsing allows the execution of arbitrary and as a consequence the breakout of the sandbox.
Comment 1 Philipp Hahn univentionstaff 2014-10-28 18:32:00 CET
$ repo_admin.py -U -r 3.2-0-0 -s errata3.2-3 -d squeeze-lts -p lua5.1 # 5.1.4-5+deb6u1

Package: lua5.1
Version: 5.1.4-5.7.201410281813
Branch: ucs_3.2-0
Scope: errata3.2-3

r55048 | Bug #35771 LUA: CVE-2014-5461
 2014-10-28-lua5.1.yaml

OK: errata-test 10.200.17.X lua5.1 # amd64 i386
Comment 2 Stefan Gohmann univentionstaff 2014-10-29 08:33:33 CET
ucs-test: OK

YAML: OK

Code review: OK

UCS 4.0 merge: I've cloned this bug: Bug #36333

Test: OK
Comment 3 Janek Walkenhorst univentionstaff 2014-10-30 14:14:58 CET
http://errata.univention.de/ucs/3.2/234.html